Autodesk.Revit.DB.LeaderAttachment 是 Revit 中的一种图元,表示一个带有标记线的文本或注释。它可以附加到建筑元素或视图中的一个点上。
Autodesk.Revit.DB.LeaderAttachment 有以下属性:
Autodesk.Revit.DB.LeaderAttachment 有以下方法:
以下代码示例创建了一个 LeaderAttachment,设置了它的一些属性,并将其添加到视图中:
// 获取当前视图
ViewPlan view = ActiveUIDocument.Document.ActiveView as ViewPlan;
// 创建 LeaderAttachment
LeaderAttachment leaderAttachment = LeaderAttachment.Create(
ActiveUIDocument.Document,
new XYZ(10, 10, 0), // LeaderPoint
view.Id, // ViewId
new XYZ(20, 20, 0), // LeaderEnd
new XYZ(15, 15, 0), // TextPoint
BuiltInCategory.OST_TextNotes); // CategoryId
// 设置 LeaderAttachment 的属性
leaderAttachment.LeaderLineColor = new Color(255, 0, 0); // 红色
leaderAttachment.LeaderLineStyle = LeaderLineStyle.Solid;
leaderAttachment.LeaderLineWeight = LeaderLineWeight.Bold;
leaderAttachment.LeaderPlane = view.SketchPlane.GetPlane();
leaderAttachment.TextStyleId = new FilteredElementCollector(ActiveUIDocument.Document)
.OfClass(typeof(TextNoteType))
.FirstOrDefault()
?.Id;
// 添加 LeaderAttachment 到视图中
ActiveUIDocument.Document.Create.NewTextNote(
view,
new XYZ(20, 20, 0), // Position
new XYZ(1, 0, 0), // Direction
leaderAttachment); // LeaderAttachment